Package com.io7m.cardant.shell.internal

# Interface CAShellCmdType

All Superinterfaces:
  `com.io7m.quarrel.core.QCommandOrGroupType`, `com.io7m.quarrel.core.QCommandType`

All Known Implementing Classes:
  `CAShellCmdAbstract`, `CAShellCmdAbstractCR`, `CAShellCmdAuditSearchBegin`, `CAShellCmdAuditSearchNext`, `CAShellCmdAuditSearchPrevious`, `CAShellCmdBookmarkList`, `CAShellCmdBookmarkLogin`, `CAShellCmdBookmarkPut`, `CAShellCmdBookmarkRemove`, `CAShellCmdFileGet`, `CAShellCmdFilePut`, `CAShellCmdFileSearchBegin`, `CAShellCmdFileSearchNext`, `CAShellCmdFileSearchPrevious`, `CAShellCmdFilesRecent`, `CAShellCmdHelp`, `CAShellCmdItemAttachmentAdd`, `CAShellCmdItemAttachmentRemove`, `CAShellCmdItemCreate`, `CAShellCmdItemGet`, `CAShellCmdItemMetadataPut`, `CAShellCmdItemMetadataRemove`, `CAShellCmdItemRepositAdd`, `CAShellCmdItemRepositMove`, `CAShellCmdItemRepositRemove`, `CAShellCmdItemSearchBegin`, `CAShellCmdItemSearchNext`, `CAShellCmdItemSearchPrevious`, `CAShellCmdItemTypesAssign`, `CAShellCmdItemTypesRevoke`, `CAShellCmdLocationAttachmentAdd`, `CAShellCmdLocationAttachmentRemove`, `CAShellCmdLocationGet`, `CAShellCmdLocationList`, `CAShellCmdLocationPut`, `CAShellCmdLogin`, `CAShellCmdLogout`, `CAShellCmdRolesAssign`, `CAShellCmdRolesGet`, `CAShellCmdRolesRevoke`, `CAShellCmdSelf`, `CAShellCmdSet`, `CAShellCmdTypeDeclarationCreate`, `CAShellCmdTypeDeclarationFieldPut`, `CAShellCmdTypeDeclarationFieldRemove`, `CAShellCmdTypeDeclarationGet`, `CAShellCmdTypeDeclarationSearchBegin`, `CAShellCmdTypeDeclarationSearchNext`, `CAShellCmdTypeDeclarationSearchPrevious`, `CAShellCmdTypeScalarGet`, `CAShellCmdTypeScalarPut`, `CAShellCmdTypeScalarRemove`, `CAShellCmdTypeScalarSearchBegin`, `CAShellCmdTypeScalarSearchNext`, `CAShellCmdTypeScalarSearchPrevious`, `CAShellCmdVersion`

public interface CAShellCmdType extends com.io7m.quarrel.core.QCommandType
The type of shell commands.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.jline.reader.Completer`
  `completer()`

  ### Methods inherited from interface com.io7m.quarrel.core.QCommandOrGroupType

  `isHidden, metadata`

  ### Methods inherited from interface com.io7m.quarrel.core.QCommandType

  `onExecute, onListNamedParameters, onListPositionalParameters`

- ## Method Details

  - ### completer

    org.jline.reader.Completer completer()
    Returns:
      A shell command completer for the command